Программа: RWiki 2.1.0 и более ранние версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение и выполнить произвольный Ruby код на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных при редактировании формы. Удаленный пользователь может выполнить произвольный Ruby код на системе с привилегиями Web сервера.
 



Оставить мнение